Retry workflow job

Retry a workflow job. A successful request does not mean that the retry has been completed; please check the details of the new job to confirm the status.

HTTP
POST $CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/retry

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

First query job details to confirm that the current status of the job supports retry.

Request

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/retry" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d '{
    "trigger_now": true
  }'

Request body

ParameterTypeRequiredDescription
workflow_idstringRequiredWorkflow ID.
execution_idstringRequiredThe job ID to retry.
valuesobjectRuntime input value to use when retrying.
trigger_nowbooleanWhether to trigger retry immediately.

Successful response

Returns 200 on success. data.workflow_run returns the execution information corresponding to the retry request; saves the new execution ID for querying the status of the retry job.

The response fields are as follows.

In field paths, [] denotes each item in an array. For example, items[].name is the name field of each item in the items array. After a type, [] denotes an array; for example, string[] is an array of strings.

JSON
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "workflow_run": {
      "execution_id": "exec-002",
      "workflow_id": "wf-001",
      "status": "submitted",
      "execution_mode": "one_shot"
    }
  }
}
FieldTypeDescription
codestringOK when successful.
msgstringOK when successful.
data.workflow_run.execution_idstringNew job ID.
data.workflow_run.workflow_idstringWorkflow ID.
data.workflow_run.statusstringThe current status of the new job.
data.workflow_run.execution_modestringWorkflow execution mode.
data.workflow_run.available_actionsstring[]Currently available operations; only returned if there is a value.
data.workflow_run.errorstringJob error message; only returned if there is an error.

Error response

JSON
{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
FieldTypeDescription
codestringError code.
msgstringReadable error message.
datanull`null` in an error response.

Follow-up operations

Use new execution ID query workflow job details.

Last updated on